export class CMap {
    constructor(builtInCMap?: boolean);
    codespaceRanges: never[][];
    numCodespaceRanges: number;
    _map: any[];
    name: string;
    vertical: boolean;
    useCMap: any;
    builtInCMap: boolean;
    addCodespaceRange(n: any, low: any, high: any): void;
    mapCidRange(low: any, high: any, dstLow: any): void;
    mapBfRange(low: any, high: any, dstLow: any): void;
    mapBfRangeToArray(low: any, high: any, array: any): void;
    mapOne(src: any, dst: any): void;
    lookup(code: any): any;
    contains(code: any): boolean;
    forEach(callback: any): void;
    charCodeOf(value: any): number;
    getMap(): any[];
    readCharCode(str: any, offset: any, out: any): void;
    getCharCodeLength(charCode: any): number;
    get length(): number;
    get isIdentityCMap(): boolean;
}
export class CMapFactory {
    static create({ encoding, fetchBuiltInCMap, useCMap }: {
        encoding: any;
        fetchBuiltInCMap: any;
        useCMap: any;
    }): Promise<any>;
}
export class IdentityCMap extends CMap {
    constructor(vertical: any, n: any);
    vertical: any;
    charCodeOf(value: any): any;
    get isIdentityCMap(): void;
}
